- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 51879f4c-9843-4cff-aac2-21e1857a9f70
    creation_time: 2023-02-17T12:08:45.806326Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2*a+1 && s ==  ( a+1 ) * ( a+1 )  && t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 550cd84c-e4dd-4a44-982b-7da22d8cd707
    creation_time: 2023-02-17T12:08:45.806595Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 96ebbd54-ee65-4151-9cf0-af517afa0e86
    creation_time: 2023-02-17T12:08:45.806704Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 013e0e18-9638-4671-ae29-c0ac0f6cd9e1
    creation_time: 2023-02-17T12:08:45.806791Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cb1edf1a-e160-42ca-a875-168cabfcc043
    creation_time: 2023-02-17T12:08:45.806871Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 426cc0c5-8653-439e-8022-0cbe858faf38
    creation_time: 2023-02-17T12:08:45.806971Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 60c5beb5-5603-45f9-bc49-1301c5981535
    creation_time: 2023-02-17T12:08:45.807050Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound20.c: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound20.c
    file_hash: 070b005151a155625f2a1d89ebf21c03a6d381af2d7b663a2fe06061e79da5f4
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

